# eric7.Plugins.VcsPlugins.vcsGit.GitBranchPushDialog

Module implementing a dialog to select the data for pushing a branch.

### Global Attributes

None

### Classes

GitBranchPushDialog | Class implementing a dialog to select the data for pushing a branch.

### Functions

None

## GitBranchPushDialog

Class implementing a dialog to select the data for pushing a branch.

### Derived from

QDialog, Ui_GitBranchPushDialog

### Class Attributes

None

### Class Methods

None

### Methods

GitBranchPushDialog | Constructor
getData | Public method to get the selected data.
on_branchComboBox_editTextChanged | Private slot to handle a change of the branch name.

### Static Methods

None

#### GitBranchPushDialog (Constructor)

GitBranchPushDialog(branches, remotes, delete=False, parent=None)

Constructor

branches
  list of branch names (list of string)
remotes
  list of remote names (list of string)
delete
  flag indicating a delete branch action (boolean)
parent
  reference to the parent widget (QWidget)

#### GitBranchPushDialog.getData

getData()

Public method to get the selected data.

Return:
  tuple of selected branch name, remote name and a flag indicating all branches (tuple of two strings and a boolean)

#### GitBranchPushDialog.on_branchComboBox_editTextChanged

on_branchComboBox_editTextChanged(txt)

Private slot to handle a change of the branch name.

txt
  branch name (string)

Up